Bug 809337 - [abrt] file-roller-3.4.0-1.fc17: Process /usr/bin/file-roller was killed by signal 11 (SIGSEGV) Messages: [stef@stef-desktop gcr]$ file-roller gcr-3.4.0.tar.gz (file-roller:10309): GLib-GObject-CRITICAL **: g_object_set_data_full: assertion `G_IS_OBJECT
[abrt] file-roller-3.4.0-1.fc17: Process /usr/bin/file-roller was killed by s...
Status: CLOSED DUPLICATE of bug 881979
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:df0a38ac89ae806bd3d716a175c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 02:41 EDT by Stef Walter
Modified: 2014-02-28 03:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.26 KB, text/plain)
2012-04-03 02:42 EDT, Stef Walter
no flags Details
File: backtrace (43.16 KB, text/plain)
2012-04-03 02:42 EDT, Stef Walter
no flags Details
File: maps (34.06 KB, text/plain)
2012-04-03 02:42 EDT, Stef Walter
no flags Details
File: dso_list (6.34 KB, text/plain)
2012-04-03 02:42 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-04-03 02:41:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.9
backtrace_rating: 4
cmdline:        file-roller gcr-3.4.0.tar.gz
comment:        Opened a source code tarball, and double clicking on the top level directory inside the tarball.
crash_function: egg_tree_multi_drag_button_release_event
executable:     /usr/bin/file-roller
kernel:         3.3.0-5.fc17.x86_64
pid:            10309
pwd:            /data/projects/gcr
remote_result:  NOTFOUND
time:           2012-04-03T08:39:30 CEST
uid:            1000
username:       stef
xsession_errors: 

backtrace:      Text file, 44192 bytes
core_backtrace: Text file, 5390 bytes
dso_list:       Text file, 6495 bytes
maps:           Text file, 34874 bytes

build_ids:
:877b58d2798eb249f0bddb906daa8d44c7fe1c27
:995f6f18d5910289af8d873e3599caf62f561191
:54a5cc118d928470da13565de8592b664a9868e0
:03a3531257193c88ade30f23f9dc93545fa5397d
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:39b6416457511ecdce4ad1c49277eb1a8e385ac8
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:8a58512c2cc89530f70932553442289158de3083
:fa109822e1dfe3c97963318f0a110695ed11430d
:7716bc5c1738194dad6ec6679d05ae3782139288
:ba411626ac13091abd42b787a74e754ac0188c13
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:2a91dbd77056b3bf4d5a73bc9909a2a82d7aebf9
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:cb561771554f57263ee5c9fe3f49f7279ef278e2
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:ae74f1bdcd89bba7375a344fac1a8ffb3152a26b
:7ed23ec2dfedf575cb759b30d39b3a0d40998df4
:87712be648d2d43ea4cd002fe7a859df636f1e13
:25c9d8edb345972f0670cdade4eeb299f8f2fd3d
:e3354959e32e471066df83c93f98f33e75198697
:253afe744466fe7580bbb6040de6183dba9e2b02
:005464563090f9648c12bfa2c9b2f8dcb72313e8
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:35873a5c01548849d307db8f8ee296d7d58fb7fb
:fd6500ced2b0f02efe3689d05009499035e1a5c9
:508cf66f72e70054a41215f80ed2385c6bb80030
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:63651cdc0224824a9c9324c77c3b5887378e871d
:e789f001d792823f657f39b4f9a2ef4935271c64
:c4ec0971b2dcee71aaf8374975474054245fea00
:2c09a3f87a92231b0acabb79968d235d61c36967
:d804f8ee47797da9213a92f00cd095ecada8d79f
:822e9b3523e8312240f41a25722d539bc77ed436
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:404cbecd24d186758ed474b345313da28b2990fa
:583038d51162de9433018478e5e0556eaf40ccc6
:d3619119ad0d25ba83ce046971658a86199deb1c
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:c03bacbe6f25eefdf455852b87a6f28b92d86576
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:9af33edde528c64869abfcce919051d5b15848d9
:7c35310fc506498c612d5d982ab03becc4b4817c
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:8f7c190397d7c1f617e66f18f759714662b60367
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:4b044fe80e4c1b69986abc4b160c303048005d4e
:f6f9d852c0bacf98c55190befce168c4d40f7bd2
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9
:df2fcf998250578cb1cab52a897fcb873380b82b
:71dbf893ef1c9e6a3940f4d943c43717cde4f588
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:f2bcd852f344cf90ce2a2298a4b89d8aaeee8a68
:1ae3713cde85e9464ebaec5c8d774e8f57d7f8d4
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:516400711cc3bd73da0013ec0c6c7c1606f89965
:247132297f287226a24c12e683292f5c94013066
:f9cf1e44a2f97bfa171687e20b003e919fcdba8a
:f03b79397ed9c0851f0541cd15e309cfbd944dad
:5350b5972464f66f404861dc50225a114a2a5e7e

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=16
:HOSTNAME=stef-desktop.thewalter.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/stef/keyring-gQXWha/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=13946642489734c5e44302c1000002dd-1333380274.965156-911901620
:LOGIN_SITE=/data/projects/login-provider/site
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=35651589
:QTDIR=/usr/lib64/qt-3.3
:OLDPWD=/data/projects/gcr/gcr
:GNOME_KEYRING_CONTROL=/run/user/stef/keyring-gQXWha
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=stef
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:MEM_SITE=/data/projects/members/site
:SSH_AUTH_SOCK=/run/user/stef/keyring-gQXWha/ssh
:MAILER_SITE=/data/projects/login-mailer/site
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1116,unix/unix:/tmp/.ICE-unix/1116
:PATH=/data/bin:/data/.local/bin:/usr/lib64/qt-3.3/bin:/data/bin:/data/.local/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/data/bin
:MAIL=/var/spool/mail/stef
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/data/projects/gcr
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/lib/jvm/java-1.5.0-sun/
:EDITOR=vi
:GNOME_KEYRING_PID=1111
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/data
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=stef
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-kHj2raDCQP,guid=ae269eb1ce6952c8c6b10c7f00006227
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/stef
:DISPLAY=:0
:UDB_CONFFILE=/data/projects/udb-test/unit-test/udb.conf
:LC_TIME=en_DK.utf8
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-stef-ciApev/database
:_=/usr/bin/file-roller

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63724                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63724                63724                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/0
:pos:	0
:flags:	0100002
:1:/dev/pts/0
:pos:	0
:flags:	0100002
:2:/dev/pts/0
:pos:	0
:flags:	0100002
:3:socket:[8035044]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[8037407]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[8035045]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000

var_log_messages:
:Apr  2 07:25:58 stef-desktop yum[2047]: Updated: file-roller-3.4.0-1.fc17.x86_64
:Apr  2 07:26:30 stef-desktop yum[2047]: Updated: file-roller-nautilus-3.4.0-1.fc17.x86_64
:Apr  3 08:39:30 stef-desktop kernel: [49175.500317] file-roller[10309]: segfault at 21 ip 000000000041c850 sp 00007fffb072b130 error 4 in file-roller[400000+61000]
:Apr  3 08:39:30 stef-desktop abrt[10314]: Saved core dump of pid 10309 (/usr/bin/file-roller) to /var/spool/abrt/ccpp-2012-04-03-08:39:30-10309 (26378240 bytes)
Comment 1 Stef Walter 2012-04-03 02:42:01 EDT
Created attachment 574744 [details]
File: core_backtrace
Comment 2 Stef Walter 2012-04-03 02:42:05 EDT
Created attachment 574745 [details]
File: backtrace
Comment 3 Stef Walter 2012-04-03 02:42:09 EDT
Created attachment 574746 [details]
File: maps
Comment 4 Stef Walter 2012-04-03 02:42:11 EDT
Created attachment 574747 [details]
File: dso_list
Comment 5 udtduetl 2012-06-24 14:56:02 EDT
I have opened .tgz archive of size 298.1M, first directory showed up with no problem, but clicking on it crashed file-roller.
I'm unable to reproduce the crash.


backtrace_rating: 4
Package: file-roller-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Andrey Budantsev 2012-08-02 03:31:50 EDT
Opened subdirectory in a zip archive.

backtrace_rating: 4
Package: file-roller-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Mengxuan Xia 2012-08-03 15:34:41 EDT
Opened downloaded zip file, double clicked on the folder "wp-to-twitter". Then program crashed

backtrace_rating: 4
Package: file-roller-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Matthieu Pupat 2012-09-14 12:10:40 EDT
Open a tar.gz file (e.g. amarok sources) and try to navigate thorugh the subfolders.

backtrace_rating: 4
Package: file-roller-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Matthieu Pupat 2012-09-14 12:11:57 EDT
Duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=702827
Comment 10 Nicolas Chauvet (kwizart) 2012-12-10 17:45:02 EST
Opening a source tarball from sourceforge.net

backtrace_rating: 4
Package: file-roller-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Léo Claudel 2012-12-12 06:11:48 EST
Opened a tar.gz archive, then it crashed while opening the folder in it.
Comment 12 Fedora End Of Life 2013-07-03 20:19:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 23:53:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Milan Bouchet-Valat 2014-02-28 03:13:28 EST

*** This bug has been marked as a duplicate of bug 881979 ***

Note You need to log in before you can comment on or make changes to this bug.